<?php

/**
 * This file contains \QUI\SocketServer\ProviderInterface
 */

namespace QUI\SocketServer;

use QUI;
use Ratchet\App;

/**
 * SocketServer Provider Interface
 *
 * @author www.pcsg.de (Henning Leutz)
 */
interface ProviderInterface
{
    /**
     * Registered some REST Api Calls
     *
     * @param App $App
     */
    public function registerRoute(App $App);
}
