<?php

namespace QUI\SocketServer;

use Ratchet\ComponentInterface;

class WsServer extends \Ratchet\WebSocket\WsServer
{
    /**
     * Decorated component
     * @var ComponentInterface
     */
    protected ComponentInterface $component;

    /**
     * WsServer constructor.
     * @param ComponentInterface $component
     */
    public function __construct(ComponentInterface $component)
    {
        parent::__construct($component);

        $this->component = $component;
    }

    /**
     * @return ComponentInterface
     */
    public function getComponent(): ComponentInterface
    {
        return $this->component;
    }
}
